gnutls_pkcs11_reinit(3)

NAME
gnutls_pkcs11_reinit - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_reinit( void);

ARGUMENTS

void

DESCRIPTION
This function will reinitialize the PKCS 11 subsystem in gnutls. This is required by PKCS 11 when an application uses fork(). The reinitialization function must be called on the child. Note that since GnuTLS 3.3.0, the reinitialization of the PKCS 11 subsystem occurs automatically after fork.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/